﻿using System.Linq;
using LoopingSelectorSample.Collections;
using Microsoft.Practices.Prism.ViewModel;

namespace LoopingSelectorSample.ViewModel
{
    public class MainPageViewModel : NotificationObject
    {
        /// <summary>
        /// 数値を格納したコレクションを取得します。
        /// </summary>
        public NumberCollection Numbers { get; private set; }

        private int _currentNumber;
        /// <summary>
        /// 現在の数値を取得または設定します。
        /// </summary>
        public int CurrentNumber
        {
            get { return _currentNumber; }
            set
            {
                _currentNumber = value;
                RaisePropertyChanged(() => CurrentNumber);
            }
        }

        /// <summary>
        /// 新しいインスタンスを初期化します。
        /// </summary>
        public MainPageViewModel()
        {
            this.Numbers = new NumberCollection();
            this.CurrentNumber = Numbers.First();
        }
    }
}